SFXTEST(1)

NAME
sfxtest - test utility for the Linux AWE32 driver

SYNOPSIS
sfxtest [command parameters] ...

DESCRIPTION
This manual page documents briefly the sfxtest command. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page.

sfxtest is a program designed for testing that the Linux AWE32 driver has been set up properly, and that the appropriate patch files are loaded correctly (using sfxload(1), or gusload(1)).

OPTIONS
The program takes a series of commands followed by arguments. It accepts the following commands:-

X   Instructs the program to use channel control mode.

x channel
    Changes the channel being operated on to channel .

b bank
    Changes the bank being used to bank .

p program
    Changes the program (instrument) being used to program .

n note velocity
    Sends a noteon command for note note at velocity velocity .

k   Kills a note (sends noteoff).

K note
    Kills the note note (used for channel mode).

r value
    Sets the pitch sense to value .

w value
    Sets the putch wheel to value

t   time Waits for time hundredths of a second.

c value
    Sets the panning value to value

v note velocity
    Changes the key pressure of note to velocity velocity .

D mode
    Sets the debug mode of the driver to mode. Higher values of mode are more verbose.

C mode
    Sets the chorus type to mode .

R mode
    Sets the reverb type to mode .

F parameter value
    Sends an effect command type parameter, with value value .

I   (Re-)Initializes the AWE32 driver and EMU8000 chip.

SEE ALSO
sfxload(1), gusload(1), drvmidi(1)

AUTHOR
This manual page was written by Tom Lees <tom@lpsg.demon.co.uk>, for the Debian GNU/Linux system. The AWE32 driver and utilities were written by Takashi Iwai <iwai@dragon.mm.t.u-tokyo.ac.jp>.